Skip to content
GET
/v1/organizations/{organizationId}/projects/{projectId}/environments/{environmentId}/surface-registrations

List Surface registrations in an Environment

Return a bounded page of Environment Surface registrations in stable creation order, continuing from an opaque cursor when supplied.

Authentication

Send an API key as a Bearer token in the Authorization header.

Parameters

NameLocationRequiredDescription
organizationIdpathYes
The Organization to address.
stringA Cantora Organization identifier, prefixed with `org_`.
  • maximum length 64
  • pattern ^org_[\s\S]+$
projectIdpathYes
The Project to address.
stringA Cantora Project identifier, prefixed with `proj_`.
  • maximum length 64
  • pattern ^proj_[\s\S]+$
environmentIdpathYes
The Environment to address.
stringA Cantora Environment identifier, prefixed with `env_`.
  • maximum length 64
  • pattern ^env_[\s\S]+$
cursorqueryNo
The opaque continuation token returned by the preceding page.
string
  • maximum length 2048
  • minimum length 1
  • pattern ^[A-Za-z0-9_-]+$
limitqueryNo
The maximum number of resources to return, from 1 through 100.
string
  • pattern ^[+-]?\d*\.?\d+(?:[Ee][+-]?\d+)?$

Responses

200SurfaceRegistrationPage
400The request path, headers, query, or JSON body did not satisfy the published schema
401Unauthorized
application/json
403Forbidden
application/json

Reusable schemas

SurfaceRegistrationPageEncoded

object
  • unknown properties allowed false
itemsrequired
arrayThe resources in this page, in stable order.
nextCursorrequired
The opaque continuation token for the next page, or null after the final page.
Any of
string
  • maximum length 2048
  • minimum length 1
  • pattern ^[A-Za-z0-9_-]+$
null

UnauthorizedEncoded

object
  • unknown properties allowed false
_tagrequired
stringThe stable machine-readable error type.
  • allowed values "Unauthorized"
reasonrequired
stringA safe explanation of why the credential was rejected.

ForbiddenEncoded

object
  • unknown properties allowed false
_tagrequired
stringThe stable machine-readable error type.
  • allowed values "Forbidden"
permissionrequired
stringThe permission required by the refused operation.

SurfaceRegistrationSummary

SlackSurfaceRegistrationSummary

object
  • unknown properties allowed false
surfaceRegistrationIdrequired
stringThe Environment Surface registration identifier.
  • maximum length 64
  • pattern ^surface_[\s\S]+$
organizationIdrequired
stringThe Organization identifier.
  • maximum length 64
  • pattern ^org_[\s\S]+$
projectIdrequired
stringThe Project identifier.
  • maximum length 64
  • pattern ^proj_[\s\S]+$
environmentIdrequired
stringThe Environment identifier.
  • maximum length 64
  • pattern ^env_[\s\S]+$
providerApplicationIdrequired
stringThe Organization-owned provider application identifier.
  • maximum length 64
  • pattern ^provider_app_[\s\S]+$
providerAppIdrequired
stringThe provider's stable application identifier.
displayNamerequired
stringThe human-readable resource name.
statusrequired
SurfaceRegistrationStatusThe current lifecycle status.
trustedUserDelegateAppIdsrequired
TrustedUserDelegateAppIdsThe Slack applications trusted to transmit messages under human credentials.
trustedUserDelegateAppsEtagrequired
stringThe strong ETag for the complete trusted human-delegating application set.
  • maximum length 73
  • minimum length 73
  • pattern ^"sha256:[0-9a-f]{64}"$
createdAtrequired
stringWhen the resource was created, in UTC.
  • format date-time
providerrequired
stringThe model, Surface, or integration provider key.
  • allowed values "slack"
capabilitiesrequired
SlackSurfaceCapabilitiesThe delivery and interaction capabilities of the registered Surface.

WebSurfaceRegistrationSummary

object
  • unknown properties allowed false
surfaceRegistrationIdrequired
stringThe Environment Surface registration identifier.
  • maximum length 64
  • pattern ^surface_[\s\S]+$
organizationIdrequired
stringThe Organization identifier.
  • maximum length 64
  • pattern ^org_[\s\S]+$
projectIdrequired
stringThe Project identifier.
  • maximum length 64
  • pattern ^proj_[\s\S]+$
environmentIdrequired
stringThe Environment identifier.
  • maximum length 64
  • pattern ^env_[\s\S]+$
providerApplicationIdrequired
stringThe Organization-owned provider application identifier.
  • maximum length 64
  • pattern ^provider_app_[\s\S]+$
providerAppIdrequired
stringThe provider's stable application identifier.
displayNamerequired
stringThe human-readable resource name.
statusrequired
SurfaceRegistrationStatusThe current lifecycle status.
trustedUserDelegateAppIdsrequired
TrustedUserDelegateAppIdsThe Slack applications trusted to transmit messages under human credentials.
trustedUserDelegateAppsEtagrequired
stringThe strong ETag for the complete trusted human-delegating application set.
  • maximum length 73
  • minimum length 73
  • pattern ^"sha256:[0-9a-f]{64}"$
createdAtrequired
stringWhen the resource was created, in UTC.
  • format date-time
providerrequired
stringThe model, Surface, or integration provider key.
  • allowed values "web"
capabilitiesrequired
WebSurfaceCapabilitiesThe delivery and interaction capabilities of the registered Surface.

SurfaceRegistrationStatus

string
  • allowed values "active", "disabled"

TrustedUserDelegateAppIds

array
  • at most items 32
  • unique items true
Items
string
  • maximum length 256
  • minimum length 2
  • pattern ^A[A-Z0-9]+$

SlackSurfaceCapabilities

object
  • unknown properties allowed false
participantModelrequired
stringWhether a conversation has one participant or a shared audience.
  • allowed values "multi"
addressingrequired
stringHow a participant addresses the Agent on this Surface.
  • allowed values "mention"
threadingrequired
stringHow the Surface groups replies into threads.
  • allowed values "thread"
reactionsrequired
arrayThe provider-native reactions the Surface adapter can deliver.
  • at most items 2
  • at least items 2
progressrequired
stringHow the Surface presents progress while work runs.
  • allowed values "edit-in-place"
approvalAffordancerequired
stringHow the Surface presents an approval request.
  • allowed values "signed-interaction"
deliveryIdentityrequired
stringWhether delivery uses a provider-owned or Cantora-owned identity.
  • allowed values "cantora-key"
transportrequired
stringThe provider transport used to receive and deliver messages.
  • allowed values "webhook-and-call"

WebSurfaceCapabilities

object
  • unknown properties allowed false
participantModelrequired
stringWhether a conversation has one participant or a shared audience.
  • allowed values "single"
addressingrequired
stringHow a participant addresses the Agent on this Surface.
  • allowed values "implicit"
threadingrequired
stringHow the Surface groups replies into threads.
  • allowed values "none"
reactionsrequired
arrayThe provider-native reactions the Surface adapter can deliver.
Itemsfalse
progressrequired
stringHow the Surface presents progress while work runs.
  • allowed values "stream"
approvalAffordancerequired
stringHow the Surface presents an approval request.
  • allowed values "authenticated-view"
deliveryIdentityrequired
stringWhether delivery uses a provider-owned or Cantora-owned identity.
  • allowed values "cantora-key"
transportrequired
stringThe provider transport used to receive and deliver messages.
  • allowed values "subscription"